<table class="nestedTable">
    <thead>
    <tr>
        <th></th>
        <th>Element</th>
        <th>Kod / Nr</th>
        <th>Nazwa</th>
        <th>Typ</th>
        <th>Ilość</th>
        <th>Pozycja</th>
        <th>Uwagi</th>
        <th>Wymiar</th>
        <th>Ciętka</th>
        <th>Limit ciętki</th>
    </tr>
    </thead>
    <tbody>
    <tr ng-repeat="mPart in ::model.materialParts">
        <td></td>
        <td>Materiał</td>
        <td>{{::mPart.materialTemplate.materialCode}}</td>
        <td>{{::mPart.materialTemplate.name}}</td>
        <td>{{::mPart.materialTemplate.materialType.name}}</td>
        <td>{{::mPart.count}}</td>
        <td>{{::mPart.positionOnTechDraw}}</td>
        <td>{{::mPart.comments}}</td>
        <td>{{::mPart.materialTemplate.particularDimension}} [{{::mPart.materialTemplate.materialType.baseDimensionUnit}}]</td>
        <td>{{::mPart.cuttedSectionSize}} [{{::mPart.materialTemplate.materialType.cuttingDimensionUnit}}] </td>
        <td>{{::mPart.cuttedSectionSizeWithBorders}} [{{::mPart.materialTemplate.materialType.cuttingDimensionUnit}}] </td>
    </tr>
    </tbody>
    <tbody>
    <tr ng-repeat="wPart in ::model.wareParts">
        <td></td>
        <td>Towar</td>
        <td>{{::wPart.wareTemplate.wareCode}}</td>
        <td>{{::wPart.wareTemplate.name}}</td>
        <td>{{::wPart.wareTemplate.wareType.name}}</td>
        <td>{{::wPart.count}}</td>
        <td>{{::wPart.positionOnTechDraw}}</td>
        <td>{{::wPart.comments}}</td>
        <td></td>
        <td></td>
        <td></td>
    </tr>
    </tbody>
    <tbody>
    <tr ng-repeat-start="sPart in ::model.semiproductParts">
        <td><span ng-if="sPart.productTemplate.partCard" ng-click="sPart.show = !sPart.show"><i class="fa" ng-class="sPart.show ? 'fa-minus-square-o' : 'fa-plus-square-o'" aria-hidden="true"></i></span></td>
        <td>Półprodukt</td>
        <td>{{::sPart.productTemplate.productNo}}</td>
        <td>{{::sPart.productTemplate.name}}</td>
        <td></td>
        <td>{{::sPart.count}}</td>
        <td>{{::sPart.positionOnTechDraw}}</td>
        <td>{{::sPart.comments}}</td>
        <td></td>
        <td></td>
        <td></td>
    </tr>
    <tr ng-repeat-end ng-if="sPart.productTemplate.partCard && sPart.show" ng-init="model = sPart.productTemplate.partCard">
        <td></td>
        <td colspan="10" ng-include="'' + templateId + ''"></td>
    </tr>
    </tbody>
</table>
